#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SummarizeMultivariateNode {
    #[builder(default, list(item(type = super::MultivariateInputNode)))]
    #[serde(rename = "inputs", skip_serializing_if = "Vec::is_empty", default)]
    inputs: Vec<super::MultivariateInputNode>,
    #[builder(custom(type = super::AlignmentConfiguration, convert = Box::new))]
    #[serde(rename = "alignmentConfiguration")]
    alignment_configuration: Box<super::AlignmentConfiguration>,
    #[serde(rename = "outputFormat")]
    output_format: super::super::super::api::OutputFormat,
    #[builder(default, into)]
    #[serde(rename = "bucketCount", skip_serializing_if = "Option::is_none", default)]
    bucket_count: Option<i32>,
}
impl SummarizeMultivariateNode {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        alignment_configuration: super::AlignmentConfiguration,
        output_format: super::super::super::api::OutputFormat,
    ) -> Self {
        Self::builder()
            .alignment_configuration(alignment_configuration)
            .output_format(output_format)
            .build()
    }
    #[inline]
    pub fn inputs(&self) -> &[super::MultivariateInputNode] {
        &*self.inputs
    }
    #[inline]
    pub fn alignment_configuration(&self) -> &super::AlignmentConfiguration {
        &*self.alignment_configuration
    }
    #[inline]
    pub fn output_format(&self) -> &super::super::super::api::OutputFormat {
        &self.output_format
    }
    #[inline]
    pub fn bucket_count(&self) -> Option<i32> {
        self.bucket_count.as_ref().map(|o| *o)
    }
}
